> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/v1/locations > Queries locations ## OpenAPI ````json GET /public/v1/locations { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/v1/locations": { "get": { "tags": [ "netcore" ], "description": "Queries locations", "parameters": [ { "name": "modifiedOnStart", "in": "query", "description": "Starting datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnEnd'", "schema": { "type": "string($date-time)" } }, { "name": "modifiedOnEnd", "in": "query", "description": "Ending datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnStart'", "schema": { "type": "string($date-time)" } }, { "name": "locationNumbers", "in": "query", "description": "Identifier of the location to filter by", "schema": { "type": "string($uuid)" } }, { "name": "pageSize", "in": "query", "description": "Maximum number of top level objects in the response, max value 250; if there are more objects matching the criteria, a link with a continuation token will be included in the response", "schema": { "type": "integer($int32)" } }, { "name": "ModifiedOnStart", "in": "query", "description": "", "schema": { "type": "string", "format": "date-time" } }, { "name": "ModifiedOnEnd", "in": "query", "description": "", "schema": { "type": "string", "format": "date-time" } }, { "name": "LocationNumbers", "in": "query", "description": "", "schema": { "type": "string" } }, { "name": "Page", "in": "query", "description": "", "schema": { "type": "integer", "format": "int32" } }, { "name": "PageSize", "in": "query", "description": "", "schema": { "type": "integer", "format": "int32" } }, { "name": "ContinuationToken", "in": "query", "description": "", "schema": { "type": "string" } } ], "responses": { "200": { "description": "list of location entities", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.Common.Apis.PublicLocationsResponse" } }, "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.Common.Apis.PublicLocationsResponse" } }, "text/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.Common.Apis.PublicLocationsResponse" } } } } } } } }, "components": { "schemas": { "R365.Inventory.Public.Contracts.Common.Apis.PublicLocationsResponse": { "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Common.Public.Contracts.Common.Models.LocationDto" }, "nullable": true, "description": "Collection of public locations records returned in this page." }, "nextLink": { "type": "string", "nullable": true, "description": "URL to retrieve the next page of results, or null when this is the last page." } }, "additionalProperties": false }, "R365.Common.Public.Contracts.Common.Models.LocationDto": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the location." }, "name": { "type": "string", "nullable": true, "description": "Display name of the location." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the location." }, "addresses": { "items": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Locations.Address" }, "nullable": true }, "timeZone": { "type": "string", "nullable": true }, "createdOn": { "type": "string", "format": "date-time", "nullable": true, "description": "Timestamp when the location was created." }, "modifiedOn": { "type": "string", "format": "date-time", "nullable": true, "description": "Timestamp when the location was last modified." } } }, "R365.Inventory.Shared.Contracts.Locations.Address": { "type": "object", "properties": { "addressLine1": { "type": "string", "nullable": true }, "addressLine2": { "type": "string", "nullable": true }, "addressLine3": { "type": "string", "nullable": true }, "city": { "type": "string", "nullable": true }, "state": { "type": "string", "nullable": true }, "country": { "type": "string", "nullable": true }, "postalCode": { "type": "string", "nullable": true } }, "additionalProperties": false, "description": "A street or shipping address." } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````